> For the complete documentation index, see [llms.txt](https://docs.payments.thalescloud.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payments.thalescloud.io/tokenization/ja/integrate-the-d1-api/d1-api-reference/outbound-api-from-d1/digital-card-api.md).

# デジタルカードAPI

## Notify Digital Card Operation

> This request is used by D1 to notify the issuer's backend about all operations done on a digital card.

```json
{"openapi":"3.0.0","info":{"title":"Outbound Digital Card API","version":"1.0"},"servers":[{"url":"https://YOUR_DOMAIN_NAME/notifications/d1/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","description":"A JWT generated by the [Get Authorization Token API](oauth2-api).<br/>The server checks the validity of the provided token to control access to this protected resource. Please refer to [Get OAuth 2.0 access token](../../../integrate-the-d1-api/get-oauth-2.0-access-token) for more details on the flow and on how to get this JWT.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"operationId":{"type":"string","description":"Unique identifier of the operation","minLength":1,"maxLength":64,"pattern":"^[A-Za-z0-9_-]{1,64}$"},"error500":{"type":"object","description":"Internal Server error","required":["error"],"properties":{"error":{"type":"string","description":"Internal Server Error"}}}}},"paths":{"/issuers/{issuerId}/digitalCards/{digitalCardId}/notifications":{"post":{"description":"This request is used by D1 to notify the issuer's backend about all operations done on a digital card.","requestBody":{"content":{"application/json":{"schema":{"description":"The following objects represent the notify digital card request body","type":"object","properties":{"operationId":{"$ref":"#/components/schemas/operationId"},"operation":{"type":"string","description":"The lifecycle operation name performed on the target digital card.<br/> A digital card can be activated(i.e. resumed), suspended, deleted from the wallet application or CCI portal; it can also be renewed when expired by the TSP and updated after a card update/renewal operation (concerning a PAN and/or expiry date update).","enum":["SUSPEND","DELETE","RESUME","RENEW","UPDATE"]},"status":{"type":"string","description":"Status of the operation","enum":["SUCCESSFUL","FAILED"]}}}}},"description":""},"responses":{"204":{"description":"Successful"},"400":{"description":"Bad Request, Invalid request URI or header, or unsupported nonstandard parameter","content":{"application/json":{"schema":{"properties":{"error":{"type":"string"}}}}}},"401":{"description":"The provided Authorization header is missing or invalid"},"404":{"description":"Resource not found. Unknown issuerId or consumerId or accountId or cardId","content":{"application/json":{"schema":{"properties":{"error":{"type":"string","description":"Description of the error"}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/error500"}}}}},"summary":"Notify Digital Card Operation","operationId":"notify-digital-card-operation"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payments.thalescloud.io/tokenization/ja/integrate-the-d1-api/d1-api-reference/outbound-api-from-d1/digital-card-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
